Bug 203723 - [71cat] [71cat] LowPerformance took 27171 ms.
[71cat] [71cat] LowPerformance took 27171 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 12:48 UTC by muellermi
Modified: 2011-10-20 14:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (121.89 KB, application/nps)
2011-10-14 12:48 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2011-10-14 12:48:36 UTC
Build: NetBeans IDE Dev (Build 201110120600)
VM: Java HotSpot(TM) Client VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Windows XP

User Comments:
muellermi: quite a long time... :(



Maximum slowness yet reported was 27171 ms, average is 24396
Comment 1 muellermi 2011-10-14 12:48:42 UTC
Created attachment 112056 [details]
nps snapshot
Comment 2 Denis Anisimov 2011-10-14 13:13:37 UTC
Almost all JAX-WS nodes are created via simple Children.Keys class.
And almost all nodes require time consuming initialization.
Need to review ALL Jax-Ws nodes and replace usage Children.Keys to ChildFactory.
Comment 3 Denis Anisimov 2011-10-19 17:28:44 UTC
web-main#d521bd06827f

The problem with jax-ws children initialization is fixed via using ChildFactory.
All other Jax-Ws node children are created via Children.Keys but has deferred initialization. So there should not be a problem.
Each possible performance issue with Jax-Ws nodes should be considered 
separately with new issues reported.
Comment 4 Quality Engineering 2011-10-20 14:22:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/d521bd06827f
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#203723 - [71cat] [71cat] LowPerformance took 27171 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo